
Infrastructure - Story #1530

Redefine interface definitions to correspond with Tiers

2011-05-06 19:10 - Matthew Jones

Status: Closed Start date: 2011-05-24

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Story Points:    

Description

Subtasks:

Task # 1531: Create d1_common_java tier-based interfaces Closed

Task # 1534: Update API docs to reflect minor name changes in the Tiered interfaces Closed

Task # 1532: Deprecate existing d1_common_java interfaces. Closed

Task # 1533: Remove old d1_common_java interfaces Closed

Task # 1587: Define CNRegister.register payload Closed

Task # 1600: Update Coordinating Node API Documentation Closed

Task # 1601: Determine CNCore.registerSystemMetaData return type Rejected

Task # 1602: Determine CNReplication.updateReplicationMetadata return type Closed

Task # 1603: Resolve missing types in org.dataone.service.types package Closed

Task # 1623: Update d1_common_python API to match tiered interfaces in 0.6.2 Closed

History

#1 - 2011-05-06 19:11 - Matthew Jones

- Position set to 1

- Target version set to Sprint-2011.19-Block.3

- Position deleted (1)

#2 - 2011-05-06 19:13 - Matthew Jones

- Milestone set to 2011-Block-3

- Category set to d1_common_java

- Assignee set to Matthew Jones

Need to redefine all of the API Interfaces to correspond with the new Tiers so that CNs and MNs can implement them in tier-based groupings.  Will do

this in stages of 1) create new interfaces, 2) deprecate old interfaces, 3) remove old interfaces (once everything is ported).

#3 - 2011-05-07 02:02 - Matthew Jones

- Status changed from New to In Progress

#4 - 2011-05-16 18:00 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2011.19-Block.3 to Sprint-2011.20-Block.3

- Position deleted (3)

#5 - 2011-05-25 15:41 - Dave Vieglais

- Position deleted (12)
- Position set to 6

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

#6 - 2011-05-25 15:47 - Dave Vieglais

- Position set to 7

- Position deleted (17)

#7 - 2011-05-31 15:00 - Dave Vieglais

- Position deleted (10)

- Position set to 2

- Target version changed from Sprint-2011.21-Block.3 to Sprint-2011.22-Block.3

#8 - 2011-05-31 15:00 - Dave Vieglais

- Position set to 1

- Position deleted (2)

#9 - 2011-06-07 00:13 - Dave Vieglais

- Target version changed from Sprint-2011.22-Block.3 to Sprint-2011.23-Block.3

- Position set to 1

- Position deleted (6)

#10 - 2011-06-27 01:16 - Dave Vieglais

- Target version changed from Sprint-2011.23-Block.3 to Sprint-2011.26-Block.4

- Position set to 5

- Position deleted (7)

#11 - 2011-08-30 01:23 - Dave Vieglais

- Milestone changed from 2011-Block-3 to None

- Status changed from In Progress to Closed

Subtasks completed.
